<template>
  <q-card-section class="col-12 col-md-10 offset-md-1 justfy-center row">
    <q-card-section class="col-12 text-center q-py-md">
      <div class="text-h6 text-terciary">Correu de contacte</div>
      <div class="text-subtitle2 text-terciary">
        Inscripció gratuïta
      </div>
    </q-card-section>

    <!-- Form -->
    <q-card-section class="col-12 offset-sm-3 col-sm-6">
      <q-input
        outlined
        square
        v-model="credentials.email"
        type="email"
        label="Correu"
      />
    </q-card-section>
    <q-card-section class="col-12 offset-sm-3 col-sm-6">
      <q-input
        v-model="credentials.pwd"
        square
        outlined
        :type="isPwd ? 'password' : 'text'"
        label="Clau"
        hint="Mínim 8 caràcters"
        error-message="Mínim 8 caràcters"
        :error="credentials.pwd?.length <= 8"
      >
        <template v-slot:append>
          <q-icon
            :name="isPwd ? 'visibility_off' : 'visibility'"
            class="cursor-pointer"
            @click="isPwd = !isPwd"
          />
        </template>
      </q-input>
    </q-card-section>
  </q-card-section>
</template>

<script setup>
import { ref } from 'vue'
import { ProfileStore } from 'src/stores/profileStore'
import { storeToRefs } from 'pinia'

const profile = ProfileStore()
const { credentials } = storeToRefs(profile)
const isPwd = ref(true)
</script>

<style lang="sass">
#paisos_catalans
  display: block
  max-width: 100%
  // width: 350px
  width: 400px
</style>
